Skip to main content
Resource Center/VMware Management/vCenter Operations

SyncVCenter

SyncVCenter

PUT/zstack/v1/vcenters/{uuid}/actions

Operation ID

SyncVCenter

Since

2.2

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The vCenter UUID.

Body Fields

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • skippedResources
    SkippedResourcesRequired

    For more information, see skippedResources.

    • vmInstances
      SetRequired

      For more information, see vmInstances.

      • uuid
        StringRequired

        The resource UUID.

      • name
        StringRequired

        The resource name.

      • description
        String

        Optional. The detailed description of the resource.

      • zoneUuid
        StringRequired

        The zone UUID.

      • clusterUuid
        StringRequired

        The cluster UUID.

      • imageUuid
        StringRequired

        The image UUID.

      • hostUuid
        StringRequired

        The host UUID.

      • lastHostUuid
        StringRequired

        The last host UUID.

      • instanceOfferingUuid
        StringRequired

        The instance offering UUID.

      • rootVolumeUuid
        StringRequired

        The root volume UUID.

      • platform
        StringRequired

        The platform.

      • architecture
        StringRequired

        The architecture type.

      • defaultL3NetworkUuid
        StringRequired

        The default L3 network UUID.

      • type
        StringRequired

        The resource type.

      • hypervisorType
        StringRequired

        The hypervisor type.

      • memorySize
        LongRequired

        The memory size.

      • cpuNum
        IntegerRequired

        The number of CPUs.

      • cpuSpeed
        LongRequired

        The CPU speed.

      • allocatorStrategy
        StringRequired

        The allocator strategy.

      • createDate
        TimestampRequired

        The creation time.

      • lastOpDate
        TimestampRequired

        The last operation time.

      • state
        StringRequired

        The resource state.

      • guestOsType
        StringRequired

        The operating system type.

      • vmNics
        ListRequired

        For more information, see vmNics.

        • uuid
          StringRequired

          The resource UUID.

        • vmInstanceUuid
          StringRequired

          The VM instance UUID.

        • l3NetworkUuid
          StringRequired

          The L3 network UUID.

        • ip
          StringRequired

          The IP address.

        • mac
          StringRequired

          The MAC address.

        • hypervisorType
          StringRequired

          The hypervisor type.

        • netmask
          StringRequired

          The sub network mask.

        • gateway
          StringRequired

          The gateway.

        • metaData
          StringRequired

          The metadata.

        • ipVersion
          IntegerRequired

          The IP address.

        • deviceId
          IntegerRequired

          The device ID.

        • type
          StringRequired

          The NIC type.

        • createDate
          TimestampRequired

          The creation time.

        • lastOpDate
          TimestampRequired

          The last operation time.

        • usedIps
          ListRequired

          For more information, see usedIps.

          • uuid
            StringRequired

            The resource UUID.

          • ipRangeUuid
            StringRequired

            The IP range UUID.

          • l3NetworkUuid
            StringRequired

            The L3 network UUID.

          • ipVersion
            IntegerRequired

            The IP version.

          • ip
            StringRequired

            The IP address.

          • netmask
            StringRequired

            The network mask.

          • gateway
            StringRequired

            The gateway address

          • usedFor
            StringRequired

            The intended use.

          • ipInLong
            longRequired

            The IP address represented as a long integer.

          • vmNicUuid
            StringRequired

            The UUID of the VM instance NIC.

          • createDate
            TimestampRequired

            The creation time.

          • lastOpDate
            TimestampRequired

            The last operation time.

      • allVolumes
        ListRequired

        For more information, see allVolumes.

        • uuid
          StringRequired

          The resource UUID.

        • name
          StringRequired

          The resource name.

        • description
          String

          Optional. The detailed description of the resource.

        • primaryStorageUuid
          StringRequired

          The primary storage UUID.

        • vmInstanceUuid
          StringRequired

          The VM instance UUID.

        • diskOfferingUuid
          StringRequired

          The disk offering UUID.

        • rootImageUuid
          StringRequired

          The root image UUID.

        • installPath
          StringRequired

          The mount path of the volume on the primary storage.

        • type
          StringRequired

          The volume type, including data volume and root volume.

        • format
          StringRequired

          The volume format.

        • size
          LongRequired

          The volume size.

        • actualSize
          LongRequired

          The volume actual size.

        • deviceId
          IntegerRequired

          The device ID.

        • state
          StringRequired

          The running state of the volume.

        • status
          StringRequired

          The ready status of the volume.

        • createDate
          TimestampRequired

          The creation time.

        • lastOpDate
          TimestampRequired

          Th last operation time.

        • isShareable
          BooleanRequired

          The sharing mode of the volume.

        • volumeQos
          StringRequired

          The volume QoS. Syntax sample: total=1048576

      • vmCdRoms
        ListRequired

        For more information, see vmCdRoms.

        • uuid
          StringRequired

          The resource UUID.

        • vmInstanceUuid
          StringRequired

          The VM instance UUID.

        • deviceId
          IntegerRequired

          The drive sequence number.

        • isoUuid
          StringRequired

          The ISO image UUID.

        • isoInstallPath
          StringRequired

          The mount path of the ISO image.

        • name
          StringRequired

          The resource name.

        • description
          String

          Optional. The detailed description of the resource.

        • createDate
          TimestampRequired

          The creation time.

        • lastOpDate
          TimestampRequired

          The last operation time.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.